-- Tutorial by TSHolden
-- Compatible with Lve 0.6.0 and up

function love.load()
	-- define general variables
	sw = love.graphics.getWidth()
	sh = love.graphics.getHeight()
	wid = 400
	hgt = 48
	drx = 120
	dry = 96
	num = 1
	-- set some properties
	love.graphics.setColor(255, 255, 255)
end

function love.keyreleased( key ) 
	if key == "escape" then
		love.event.push('q')
    elseif key == " " then
		if num < 3 then
			num = num + 1
		else
			num = num - 1
		end
    end
end

function love.update(dt)
	-- nada
end

function love.draw()
	love.graphics.printf("This is How Love Works:\n(hit spacebar)", 0, 32, sw, "center")
	for i=1, num do
		love.graphics.setColor(128, 128, 128)
		love.graphics.rectangle("fill", drx, (dry*i)+24, wid, hgt)
		love.graphics.setColor(255, 255, 255)
		local txt = ""
		if i == 1 then
			txt = "Load"
		elseif i == 2 then
			txt = "Update"
		elseif num == 3 then
			txt = "Draw"
		end
		love.graphics.printf(txt, 0, (dry*i)+48, sw, 'center')
	end
end